Subject: Re: [CCAMP] Comments on draft-ietf-ccamp-rwa-wson-framework-05

From: Young Lee <[email-masked]>
Date: Wed, 10 Mar 2010 10:35:47 -0600

Hi Giovanni,

Please see in-line for the comments.  

Regards,

Greg & Young

  _____  

From: [email-masked] [mailto:[email-masked]] On Behalf Of
Giovanni Martinelli
Sent: Friday, February 26, 2010 8:44 AM
To: [email-masked]
Subject: [CCAMP] Comments on draft-ietf-ccamp-rwa-wson-framework-05

Hi Greg/Young/Authors,

regarding the rwa framework I appreciate last updates, they goes in the
right direction. I still have few comment on the draft:

1) Sec. 3.5.1 Regenerators 
According to ITU inputs (Q6 mtg last october) the regeneration
classification was:
1R: amplifier
2R: does not exist
3R: the regenerator (indeed).

I can understand the framework list all the three types (for sake of
completess) but at the end we can consider only 3R as regeneration. This
should also simplify the related encoding: we need only to know if regen is
available and not the specific type (1, 2 or 3).

Young>> We are referencing these terminology from ITU-T G.872 (Annex A) so
these are legitimate regeneration classification. 
1R regenerators may work over a limited range of wavelength/frequencies so
this needs to be known to the control plane path computation process.
2R regenerators are usually dependent on modulation format and are limited
to a range of bit rates, so this needs to be known as well. 

2) Sec. 4.1.1
PCE is one of the architectural options but reading the first bullet looks
like there is a need of a *stateful* PCE to support RWA. 
If that the case probably worth a reference to RFC4655 section 6.8.

Young>> We didn't assume that we need a stateful PCE to support RWA. We
assume that the up-to-date RWA usage information will be updated by OSPF
routing enhancement. 

3) Sec. 4.1.3
The statement "this approach may generate higher blocking probability.." is
there any reference that demonstrate this? 

Young>> Please see the following references:

[1]

K. Lu, G. Xiao, and I. Chlamtac, "Analysis of blocking probability for
distributed lightpath establishment in WDM optical networks," IEEE/ACM
Trans. Netw., vol. 13, 2005, pp. 187-197.  

[2]

A. Giorgetti, N. Sambo, L. Valcarenghi, and P. Castoldi, "Reservation
Collision Avoidance in GMPLS Wavelength-routed Optical Networks," Photonics
in Switching, 2006. PS '06. International Conference on, 2006, pp. 1-3.

[3]

A. Giorgetti, F. Paolucci, F. Cugini, L. Valcarenghi, P. Castoldi, and G.
Bernstein, "Routing and Wavelength Assignment in PCE-based Wavelength
Switched Optical Networks," Optical Communication, 2008. ECOC 2008. 34th
European Conference on, 2008, pp. 1-2.

4) Section 4.3
Is not really clear to me the scope of this section, why do we need to state
anything about temporal characteristics?

Young>> The idea was to explain that different timeliness requirements for
lightpath setup influence or restrict the amount of "optimization" that can
be done with the computation of a path.

Another comment that I did some time ago was about defining
dynamic/pseudo-static/static with no reference: the draft just mention short
or moderately-long and long duration.

Young>> Do you have any suggestion as to how to change this section? 

5) Sec. 5.5.4
I understand you need to clarify some typical optical terminology like:
transparent / translucent etc. but how about having all terminology grouped
in section 3? 
And basically this WSON framework support either transparent (in different
flavors) and translucent.

Young>> Good idea! We will update that. Do you have some suggested
definition? 

Cheers
G

---

From: Giovanni Martinelli <[email-masked]>
Date: Mon, 22 Mar 2010 16:18:23 +0100

Hi,

On 03/10/2010 05:35 PM, Young Lee wrote:
> ------------------------------------------------------------------------
>
> *From:* [email-masked] [mailto:[email-masked]] *On 
> Behalf Of *Giovanni Martinelli
> *Sent:* Friday, February 26, 2010 8:44 AM
> *To:* [email-masked]
> *Subject:* [CCAMP] Comments on draft-ietf-ccamp-rwa-wson-framework-05
>
> Hi Greg/Young/Authors,
>
> regarding the rwa framework I appreciate last updates, they goes in 
> the right direction. I still have few comment on the draft:
>
>
> completess) but at the end we can consider only 3R as regeneration. 
> This should also simplify the related encoding: we need only to know 
> if regen is available and not the specific type (1, 2 or 3).
>
> Young>>  We are referencing these terminology from ITU-T G.872 (Annex A) so these are legitimate regeneration classification.
> 1R regenerators may work over a limited range of wavelength/frequencies so this needs to be known to the control plane path computation process.
> 2R regenerators are usually dependent on modulation format and are limited to a range of bit rates, so this needs to be known as well.

I'm fine with the reference I was wandering about defining details which 
are not so useful: if 1R are equivalent to amplifier how does this 
impact with RWA (impairment free ;-)) case?

In term of info model I guess will be much more simpler to consider 
regens (so only 3R) without diving into 1-2-3R ... on this not sure 
there was a communication coming back from Q6 after last october meeting 
but we could probably ask better on this.

>
> 2) Sec. 4.1.1
> PCE is one of the architectural options but reading the first bullet 
> looks like there is a need of a *stateful* PCE to support RWA.
> Young>> We didn't assume that we need a stateful PCE to support RWA. 
> We assume that the up-to-date RWA usage information will be updated by 
> OSPF routing enhancement.
>
>
ok

> 3) Sec. 4.1.3
> The statement "this approach may generate higher blocking 
> probability.." is there any reference that demonstrate this?
>
> distributed lightpath establishment in WDM optical networks," 
> /IEEE/ACM Trans. Netw./, vol. 13, 2005, pp. 187-197.
>
> [2]
>
> 	
>
> Collision Avoidance in GMPLS Wavelength-routed Optical Networks," 
> /Photonics in Switching, 2006. PS '06. International Conference on/, 
> 2006, pp. 1-3.
>
> [3]
>
> 	
>
> A. Giorgetti, F. Paolucci, F. Cugini, L. Valcarenghi, P. Castoldi, and 
> G. Bernstein, "Routing and Wavelength Assignment in PCE-based 
> Wavelength Switched Optical Networks," /Optical Communication, 2008. 
> ECOC 2008. 34th European Conference on/, 2008, pp. 1-2.
>
>

well only the first try to build an analytical model and even blocking 
probability depends on several boundary conditions (network loads, 
burstiness etc.)

Not sure if this framework is the right place to make those kind of 
considerations...

> 4) Section 4.3
> Is not really clear to me the scope of this section, why do we need to 
> state anything about temporal characteristics?
>
> Young>> The idea was to explain that different timeliness requirements 
> for lightpath setup influence or restrict the amount of "optimization" 
> that can be done with the computation of a path.
>
>
> dynamic/pseudo-static/static with no reference: the draft just mention 
> short or moderately-long and long duration.
>

(Let me put the above two comments together)
So if I understand correctly, a potential network re-optimization will 
take into account only what you call static/pseduo-static LSPs, right?

Probably, thinking in term of framework I would add just some 
consideration about adding some lightpath liveness and how this  
information could be used. This could be done without defining different 
level of liveness as it is now

> 5) Sec. 5.5.4
> I understand you need to clarify some typical optical terminology 
> like: transparent / translucent etc. but how about having all 
> terminology grouped in section 3?
> And basically this WSON framework support either transparent (in 
> different flavors) and translucent.
>

Probably a section 3.x  that sounds like "Types of WSON networks" where 
the terms are defined: transparent/transparent-island, mostly 
transparent, opaque etc.

And for sure a statement that they are in  the scope of this framework

Cheers
G

---

From: Giovanni Martinelli <[email-masked]>
Date: Thu, 25 Mar 2010 02:39:24 +0100

Hi Young,

On 03/22/2010 04:18 PM, Giovanni Martinelli wrote:
> I'm fine with the reference I was wandering about defining details 
> which are not so useful: if 1R are equivalent to amplifier how does 
> this impact with RWA (impairment free ;-)) case?
>
> there was a communication coming back from Q6 after last october 
> meeting but we could probably ask better on this.
>
>

finally I got it

https://datatracker.ietf.org/liaison/602/

at page 2 they explain about different types of regenerators

cheers
G

>> We assume that the up-to-date RWA usage information will be updated 
>> by OSPF routing enhancement.
>>
>>
> ok
>
>> 3) Sec. 4.1.3
>> K. Lu, G. Xiao, and I. Chlamtac, "Analysis of blocking probability 
>> for distributed lightpath establishment in WDM optical networks," 
>> A. Giorgetti, F. Paolucci, F. Cugini, L. Valcarenghi, P. Castoldi, 
>> and G. Bernstein, "Routing and Wavelength Assignment in PCE-based 
>> Is not really clear to me the scope of this section, why do we need 
>> to state anything about temporal characteristics?
>>
>> Young>> The idea was to explain that different timeliness 
>> requirements for lightpath setup influence or restrict the amount of 
>> "optimization" that can be done with the computation of a path.
>>
>>
>> dynamic/pseudo-static/static with no reference: the draft just 
>> mention short or moderately-long and long duration.
>>
> information could be used. This could be done without defining 
> different level of liveness as it is now
>
>
>
>> 5) Sec. 5.5.4
> Probably a section 3.x  that sounds like "Types of WSON networks" 
> where the terms are defined: transparent/transparent-island, mostly 
> transparent, opaque etc.
>
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
>